Module jdk.dynalink

# Package jdk.dynalink

package jdk.dynalink
Contains interfaces and classes that are used to link an `invokedynamic` call site.

Interface Summary
Interface
Description
Namespace
An object that describes a namespace that is the target of a dynamic operation on an object.
Operation
An object that describes a dynamic operation.
RelinkableCallSite
Interface for call sites managed by a `DynamicLinker`.
Class Summary
Class
Description
CallSiteDescriptor
Call site descriptors contain all the information necessary for linking a call site.
DynamicLinker
The linker for `RelinkableCallSite` objects.
DynamicLinkerFactory
A factory class for creating `DynamicLinker` objects.
NamedOperation
Operation that associates a name with another operation.
NamespaceOperation
Describes an operation that operates on at least one `Namespace` of an object.
SecureLookupSupplier
Provides security-checked access to a `MethodHandles.Lookup` object.
Enum Class Summary
Enum Class
Description
StandardNamespace
An enumeration of standard namespaces defined by Dynalink.
StandardOperation
Defines the standard dynamic operations.
Exception Summary
Exception
Description
NoSuchDynamicMethodException
Thrown at the invocation if the call site can not be linked by any available `GuardingDynamicLinker`.